Subject: bug#12638: 24.2.50; FR: Some suggestions for icomplete-mode

From: Jambunathan K <[email-masked]>
Date: Tue, 04 Dec 2012 21:42:34 +0530

Stefan Monnier <[email-masked]> writes:

>>>> 2. M-x debbugs-gnu
>>>> There is no way I can C-s C-j to the second or third candidates.
>>>> I normally use debbbugs-gnu-search which is the second candidate.
>>> Better ask this elsewhere, I'm not up to speed on debbugs-gnu.
>> Why are you in such a haste? Am I really talking about debbugs-gnu?
>
> Oh, sorry, I misunderstood (and yes, there's so much email to read in
> this list and so little time to devote to it, that I always read it
> in a hurry).
>
> I'm not sure what's the best course of action here.
> Maybe minibuffer-force-complete should always choose the first completion
> not equal to the current content.

The problem is in the displayed string.  Why not push "" to prospects
when most-is-exact.  I think completions are cycling but the displayed
string is not.

Is removal of leading space really necessary?  Things would be simpler
otherwise.

,----
| (if prospects
|     (concat determ
| 	    "{"
| ,----
| |            (and most-is-exact
| |                 (substring icomplete-separator
| |                            (string-match "[^ ]" icomplete-separator)))
| `----
| 
| 	    (mapconcat 'identity (nreverse prospects)
|                        icomplete-separator)
| 	    (and limit (concat icomplete-separator "…"))
| 	    "}")
|   (concat determ " [Matched]"))
`----

>         Stefan